Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl https://api.stophy.dev/v1/monitor/mon_gYdxFOZnpRdWHJUN/checks \ -H "Authorization: Bearer $STOPHY_API_KEY"
{ "success": true, "data": [ { "id": "f3f7c552-c652-43c7-8c49-e18d15c5f54b", "monitorId": "mon_gYdxFOZnpRdWHJUN", "status": "completed", "trigger": "scheduled", "scheduledFor": "2026-11-17T17:53:53.974Z", "startedAt": "2026-11-17T17:53:53.984Z", "finishedAt": "2026-11-17T17:53:54.919Z", "estimatedCredits": 1, "estimatedCostUsd": 0.001, "reservedCredits": null, "actualCredits": 1, "actualCostUsd": 0.001, "billingStatus": "confirmed", "summary": { "totalPages": 1, "same": 0, "changed": 0, "new": 1, "removed": 0, "error": 0 }, "targetResults": null, "notificationStatus": null, "error": null, "createdAt": "2026-11-17T17:53:53.984Z", "updatedAt": "2026-11-17T17:53:54.919Z" } ], "costUsd": 0, "requestId": "fb5df400-68a5-4541-b6e9-4dcf21d6474a" }
List the checks of a monitor, newest first.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The monitor id.
1 <= x <= 100
x >= 0
queued
running
completed
failed
partial
skipped_overlap
skipped_no_credits
The checks.
What this call cost, in dollars.
Show child attributes